JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinNT.TOKEN_TYPE

    java.lang.Object
      com.sun.jna.platform.win32.WinNT.TOKEN_TYPE

Enclosing interface:
  WinNT

    public abstract static class WinNT.TOKEN_TYPE

extends Object

The TOKEN_TYPE enumeration type contains values that differentiate between a primary token and an impersonation token.

Field Summary
`static int` | `TokenImpersonation`
`static int` | `TokenPrimary`

Constructor Summary
`WinNT.TOKEN_TYPE()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TokenPrimary

    public static final int TokenPrimary

See Also:
  Constant Field Values

### TokenImpersonation

    public static final int TokenImpersonation

See Also:
  Constant Field Values

Constructor Detail

### WinNT.TOKEN_TYPE

    public WinNT.TOKEN_TYPE()

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.